Page MenuHomePhabricator

CentralNotice: change impression diet fallback for no storage (cookies or LocalStorage) available
Closed, ResolvedPublic1 Story Points

Description

Currently, for campaigns using the impression diet feature to limit banner impressions, we always show a banner if the user doesn't have the ability to store impression counts and related data in their browser (i.e., for campaigns using cookies, cookies are disabled or otherwise don't work, and for campaigns using LocalStorage, LocalStorage is not available).

However, it seems that in such cases, it would be better to always hide the banner.

(Note: Another possibility would be to act as if such users were always on their first impression, and do whatever would normally be done in that situation. That's what the on-wiki JS that was previously used for this does.)

We came across this when following up on the fix for T119348.

Also, we don't have data (or at least, not immediately available) on how many people this may affect for Fundraising campaigns (which use cookies). Probably not too many, though.

This task considers the general fallback action for lack of cookies or LocalStorage (whichever applies). Yet more options: we could also have different fallback actions, or a config option to vary this on a campaign-by-campaign basis.

Event Timeline

AndyRussG raised the priority of this task from to High.
AndyRussG updated the task description. (Show Details)
AndyRussG moved this task to Triage on the Fundraising-Backlog board.
AndyRussG added a subscriber: AndyRussG.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2015, 6:14 PM
AndyRussG set Security to None.Nov 24 2015, 10:26 PM
AndyRussG edited a custom field.
atgo added a subscriber: atgo.Nov 25 2015, 7:01 PM

@AndyRussG can you please add context & reason for this?

AndyRussG updated the task description. (Show Details)Nov 25 2015, 7:10 PM
AndyRussG updated the task description. (Show Details)Nov 25 2015, 7:13 PM

Thanks for the poke @atgo! While we're on the topic of fallbacks, another group that we might consider is users whose browsers are set to only accept session cookies or clear cookies frequently. Also don't know what info we have on that sector... Not possible to detect in JS, though...

atgo moved this task from Inbox to Banner issues on the Wikimedia-Fundraising board.
atgo added a comment.Nov 25 2015, 7:21 PM

Thanks @AndyRussG. That's helpful. Let's start with those that don't have any local storage.

AndyRussG renamed this task from CentralNotice: change impression diet fallback for no storage available to CentralNotice: change impression diet fallback for no storage (cookies or LocalStorage) available.Nov 25 2015, 7:31 PM
AndyRussG updated the task description. (Show Details)

It can be the same mechanism for LocalStorage and cookies (pls. see updated description)... :)

Pcoombe lowered the priority of this task from High to Normal.Nov 26 2015, 11:36 AM
Pcoombe added a subscriber: Pcoombe.

I don't think this is urgent btw, it could wait until after December. At first I was misunderstanding the situation, it seems like this behaviour is actually unchanged from what we had before (at least with cookies).

Ah OK! On the previous in-banner JS system, if a banner was normally shown on the first impression, then one would be shown every time for users with cookies disabled. If it was hidden on the first impression, it would be always hidden for users with cookies disabled.

BTW @Nuria just provided this info on % of users without cookies (also includes platforms that don't support CentralNotice).

Change 256054 had a related patch set uploaded (by AndyRussG):
impressionDiet: default hide banners if no storage is available

https://gerrit.wikimedia.org/r/256054

The patch submitted just hides banners when no storage (cookies or LocalStorage, whichever is supposed to be used) is not available.

Change 256054 merged by jenkins-bot:
impressionDiet: default hide banners if no storage is available

https://gerrit.wikimedia.org/r/256054

awight added a subscriber: awight.Nov 30 2015, 10:29 PM

I worry that we're being incredibly annoying to people who have disabled various browser tracking things. They would be underrepresented in our complaint volume cos they... don't like being tracked.

Change 256860 had a related patch set uploaded (by AndyRussG):
impressionDiet: default hide banners if no storage is available

https://gerrit.wikimedia.org/r/256860

Change 256860 merged by jenkins-bot:
impressionDiet: default hide banners if no storage is available

https://gerrit.wikimedia.org/r/256860

AndyRussG closed this task as Resolved.Dec 4 2015, 4:44 PM

This follow-on patch (which fixes a mistake in the one mentioned above) is also deployed.

mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM